<%- include('../partials/header') %>
<link rel="stylesheet" href="/css/signin.css">
<%- include('../partials/file-start') %>

<form class="form-signin flex-grow-1 mt-5 pt-5" id="login">
    <img src="/images/fire.svg" alt="Logo výsledků" width="100">
    <h1 class="h3 mb-3 mt-0 font-weight-normal">Přihlášení</h1>

    <label for="email" class="sr-only">Email</label>
    <input type="email" id="email" class="form-control mb-2" placeholder="Email" required autofocus>

    <label for="password" class="sr-only">Heslo</label>
    <input type="password" id="password" class="form-control" placeholder="Heslo" required>

    <div class="form-group" id="login-status" style="display: none;"></div>
    <button class="btn btn-lg btn-dark btn-block" type="submit">Přihlásit</button>
    <a href="/register" class="btn btn-lg btn-secondary btn-block text-white">Registrace</a>
</form>

<script>
    $(document).ready(function () {
        $('form#login').submit(function (event) {
            event.preventDefault()
            $('div#login-status')
                .empty()
                .append(
                    $('<div>', { class: 'alert alert-info alert-dismissible' }).append(
                        $('<i>', { class: 'fas fa-circle-notch fa-spin' }),
                        $('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
                        $('<strong>').text(' Přihlašuji'),
                        ' Vyčkejte prosím'
                    )
                )
                .show()
            let email = $('#email').val()
            let password = $('#password').val()
            let strongAlertText = ' Ach ne!'
            let alertText
            let alertStatus

            if (email === '') {
                alertText = ' Email nemůže být prázdný'
            } else if (password === '') {
                alertText = ' Heslo nemůže být prázdné'
            }

            if (alertText !== undefined) {
                $('div#login-status')
                    .empty()
                    .append(
                        $('<div>', { class: 'alert alert-danger alert-dismissible' }).append(
                            $('<i>', { class: 'fas fa-exclamation-triangle', 'aria-hidden': 'true' }),
                            $('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
                            $('<strong>').text(strongAlertText),
                            alertText
                        )
                    )
                    .show()
            }

            API.user.login(email, password).done(function (responseFromServer) {
                if (responseFromServer === 'ok') {
                    Cookies.set('toast-login', 'true')
                    window.location.href = '/leagues'
                } else if (responseFromServer === 'wrong-email') {
                    $('div#login-status')
                        .empty()
                        .append(
                            $('<div>', { class: 'alert alert-danger alert-dismissible' }).append(
                                $('<i>', { class: 'fas fa-exclamation-triangle', 'aria-hidden': 'true' }),
                                $('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
                                $('<strong>').text(' Ach ne!'),
                                ' Uživatel s tímto emailem neexistuje'
                            )
                        )
                        .show()
                } else if (responseFromServer === 'wrong-password') {
                    $('div#login-status')
                        .empty()
                        .append(
                            $('<div>', { class: 'alert alert-danger alert-dismissible' }).append(
                                $('<i>', { class: 'fas fa-exclamation-triangle', 'aria-hidden': 'true' }),
                                $('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
                                $('<strong>').text(' Ach ne!'),
                                ' Zadané heslo se neshoduje'
                            )
                        )
                        .show()
                }
            })
        })
    })
</script>
<%- include('../partials/footer') %>
<%- include('../partials/file-end') %>